<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['fecha_desde'];
$horadesde=$_GET['hora_desde'];
$hasta=$_GET['fecha_hasta'];
$horahasta=$_GET['hora_hasta'];
$vendedores=$_GET['vendedores'];
$sucursal_form=$_GET['sucursal_form'];

$query_str="SELECT * FROM ventas WHERE TIMESTAMP(ven_fecha,ven_hora) between TIMESTAMP('$desde','$horadesde') and TIMESTAMP('$hasta','$horahasta') AND sucursal='$sucursal_form' AND empresa='$empresa' AND ven_estado<>'anulada' and vendedor IN('".$vendedores."')";

if ($facturador=='si') {
    $ven_tipo=$_GET['ven_tipo7'];;
    $query_str.=" AND ven_tipo IN ('$ven_tipo')";
}

$query_str.=" ORDER BY ven_id DESC";
$query=mysqli_query($con, $query_str); 

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS POR EMPLEADO DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(215,235,2415);

$pdf->SetFont('Arial','B',7);
$pdf->Cell(25,4,'FACTURA',1,0,'C',1);
$pdf->Cell(95,4,'CLIENTE',1,0,'C',1);
$pdf->Cell(30,4,'TOTAL FACTURADO' ,1,0,'C',1);
$pdf->Cell(20,4,'DEVOLUCION',1,0,'C',1);
$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
$pdf->Ln();
 
$total_facturado=0;
$total_devolucion=0;
while ($roww=mysqli_fetch_array($query))    
{
    $ven_id=$roww['ven_id'];
    $Cliente_clie_id=$roww['Cliente_clie_id'];

    $dir=mysqli_query($con,"SELECT  *,LEFT(clie_direccion,30) as clie_direccion FROM cliente where clie_id='$Cliente_clie_id'") or die(mysqli_error($con)); 
    $dire=mysqli_fetch_array($dir);
    $clie_direccion=$dire['clie_direccion'];

    $sumador_articulos=0;
    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_referencia=$row['vend_referencia'];
        $vend_nombre=$row['vend_nombre'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_precio=$row['vend_precio'];
        $vend_precio_real=$row['vend_precio_real'];
        $vend_descuento=$row['vend_desc'];

        $precio_total=$vend_precio_real*$vend_cantidad;
        $sumador_articulos+=$precio_total;//Sumador
    }

    $sumador_combos=0;
    $sql=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
    while ($row1=mysqli_fetch_array($sql))
    {
        $combo_referencia=$row1["combo_referencia"];
        $combo_nombre=$row1['combo_nombre'];       
        $combo_cantidad=$row1["combo_cantidad"];
        $combo_precio=$row1['combo_precio'];
        $combo_iva=$row1['combo_iva'];
        $combo_desc=$row1['combo_desc']; 

        $combo_descuento=($combo_desc/100)*$combo_precio;
        $combo_precio_real=$combo_precio-$combo_descuento;//Sumador
        $combo_precio_total=$combo_precio_real*$combo_cantidad;
        $sumador_combos+=$combo_precio_total;
    }
    $total=$sumador_articulos+$sumador_combos;


    $total_devo=0;
    $sql2=mysqli_query($con, "SELECT * from devolucion where ventas_ven_id='$ven_id'");
    while ($row2=mysqli_fetch_array($sql2))
    {
        $dev_cantidad=$row2['dev_cantidad'];
        $dev_precio=$row2['dev_precio'];
        $total_devo+=$dev_precio;
    }

    $total_facturado+=$total;
    $total_devolucion+=$total_devo;


    $fill = false; // Variable para alternar color de fondo
    $pdf->SetFont('Arial','B',8);
    $color1 = [255, 255, 255]; // blanco
    $color2 = [230, 230, 230]; // gris claro
    // Establecer el color de fondo según la variable $fill
    $pdf->SetFillColor($fill ? $color2[0] : $color1[0], $fill ? $color2[1] : $color1[1], $fill ? $color2[2] : $color1[2]);

    $pdf->Cell(25,4,$roww['ven_prefijo'].$roww['ven_n_venta'] ,1,0,'C',1);
    $pdf->Cell(95,4,$roww['ven_nombre'],1,0,'L',1);
    $pdf->Cell(30,4,number_format($total,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($total_devo,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($total-$total_devo,0),1,0,'R',1);
    $pdf->Ln();

    // Alternar color
    $fill = !$fill;
    $pdf->SetFillColor($fill ? $color2[0] : $color1[0], $fill ? $color2[1] : $color1[1], $fill ? $color2[2] : $color1[2]);

    $pdf->Cell(190,4,utf8_decode($clie_direccion),1,0,'C',1);
    $pdf->Ln();

}

$pdf->SetFillColor(135,245,115);
$pdf->SetFont('Arial','B',7);
$pdf->Cell(120,5,'TOTAL',1,0,'R',1);
$pdf->Cell(30,5,number_format($total_facturado,0),1,0,'R',1);
$pdf->Cell(20,5,number_format($total_devolucion,0),1,0,'R',1);
$pdf->Cell(20,5,number_format($total_facturado-$total_devolucion,0),1,0,'R',1);
$pdf->Ln();
$pdf->Output();
?>
